/// <reference types="node" />
import { IBlock, IBlockData, IBlockJson, IKeyPair } from "../interfaces";
export declare class BlockFactory {
    static make(data: any, keys: IKeyPair): IBlock | undefined;
    static fromHex(hex: string): IBlock;
    static fromBytes(buff: Buffer): IBlock;
    static fromJson(json: IBlockJson): IBlock | undefined;
    static fromData(data: IBlockData, options?: {
        deserializeTransactionsUnchecked?: boolean;
    }): IBlock | undefined;
    private static fromSerialized;
}
